import 'package:flutter/foundation.dart';

@immutable
class AppSettings {
  final Duration dailyWorkDuration;

  const AppSettings({this.dailyWorkDuration = const Duration(hours: 8)});

  AppSettings copyWith({Duration? dailyWorkDuration}) {
    return AppSettings(
      dailyWorkDuration: dailyWorkDuration ?? this.dailyWorkDuration,
    );
  }
}
